zenilib: Zeni::Model_Extents Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
Zeni::Model_Extents Class Reference
Zenilib

A visitor for determining the extents or bounds of a model. More...

`#include <Model.h>`

Inherits Zeni::Model_Visitor.

## Public Member Functions

| Model_Extents ()
virtual void | operator() (const Model &model, Lib3dsMeshInstanceNode *const &node, Lib3dsMesh *const &mesh)
Public Member Functions inherited from Zeni::Model_Visitor
| Model_Visitor ()
virtual | ~Model_Visitor ()
virtual void | operator() (const Model &, Lib3dsNode *const &)

## Public Attributes

Point3f | lower_bound
bool | started
Point3f | upper_bound
| The bounding box of model, first frame only if animated. More...

## Detailed Description

A visitor for determining the extents or bounds of a model.

Note
  You should create a new Model_Extents for each call of visit_nodes.

Warning
  It gives valid results for the first frame of an animation only.

Author
  bazald

Contact: bazal.nosp@m.d@ze.nosp@m.nipex.nosp@m..com

Definition at line 94 of file Model.h.

## Constructor & Destructor Documentation

Zeni::Model_Extents::Model_Extents | ( |  | ) |

Definition at line 29 of file Model.cpp.

## Member Function Documentation

void Zeni::Model_Extents::operator() | ( | const Model & | model,
|  | Lib3dsMeshInstanceNode *const & | node,
|  | Lib3dsMesh *const & | mesh
| ) |  |

virtual

Reimplemented from Zeni::Model_Visitor.

Definition at line 368 of file Model.cpp.

References lower_bound, Lib3dsMesh::nvertices, started, upper_bound, Lib3dsMesh::vertices, Zeni::Point3f::x, Zeni::Point3f::y, and Zeni::Point3f::z.

## Member Data Documentation

Point3f Zeni::Model_Extents::lower_bound

Definition at line 100 of file Model.h.

Referenced by operator()().

bool Zeni::Model_Extents::started

Definition at line 101 of file Model.h.

Referenced by operator()().

Point3f Zeni::Model_Extents::upper_bound

The bounding box of model, first frame only if animated.

Definition at line 100 of file Model.h.

Referenced by operator()().

The documentation for this class was generated from the following files:

- zenilib/jni/external/zenilib/zeni_graphics/Zeni/Model.h
- zenilib/jni/external/zenilib/zeni_graphics/Model.cpp